Index: uspace/lib/drv/generic/remote_pci.c
===================================================================
--- uspace/lib/drv/generic/remote_pci.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_pci.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,10 +51,10 @@
 } pci_dev_iface_funcs_t;
 
-errno_t pci_config_space_read_8(async_sess_t *sess, uint32_t address, uint8_t *val)
+int pci_config_space_read_8(async_sess_t *sess, uint32_t address, uint8_t *val)
 {
 	sysarg_t res = 0;
 	
 	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	int rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_READ_8, address, &res);
 	async_exchange_end(exch);
@@ -64,5 +64,5 @@
 }
 
-errno_t pci_config_space_read_16(async_sess_t *sess, uint32_t address,
+int pci_config_space_read_16(async_sess_t *sess, uint32_t address,
     uint16_t *val)
 {
@@ -70,5 +70,5 @@
 	
 	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	int rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_READ_16, address, &res);
 	async_exchange_end(exch);
@@ -78,5 +78,5 @@
 }
 
-errno_t pci_config_space_read_32(async_sess_t *sess, uint32_t address,
+int pci_config_space_read_32(async_sess_t *sess, uint32_t address,
     uint32_t *val)
 {
@@ -84,5 +84,5 @@
 	
 	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	int rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_READ_32, address, &res);
 	async_exchange_end(exch);
@@ -92,8 +92,8 @@
 }
 
-errno_t pci_config_space_write_8(async_sess_t *sess, uint32_t address, uint8_t val)
-{
-	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+int pci_config_space_write_8(async_sess_t *sess, uint32_t address, uint8_t val)
+{
+	async_exch_t *exch = async_exchange_begin(sess);
+	int rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_WRITE_8, address, val);
 	async_exchange_end(exch);
@@ -102,9 +102,9 @@
 }
 
-errno_t pci_config_space_write_16(async_sess_t *sess, uint32_t address,
+int pci_config_space_write_16(async_sess_t *sess, uint32_t address,
     uint16_t val)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	int rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_WRITE_16, address, val);
 	async_exchange_end(exch);
@@ -113,9 +113,9 @@
 }
 
-errno_t pci_config_space_write_32(async_sess_t *sess, uint32_t address,
+int pci_config_space_write_32(async_sess_t *sess, uint32_t address,
     uint32_t val)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	int rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_WRITE_32, address, val);
 	async_exchange_end(exch);
@@ -160,5 +160,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint8_t value;
-	errno_t ret = pci_iface->config_space_read_8(fun, address, &value);
+	int ret = pci_iface->config_space_read_8(fun, address, &value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -178,5 +178,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint16_t value;
-	errno_t ret = pci_iface->config_space_read_16(fun, address, &value);
+	int ret = pci_iface->config_space_read_16(fun, address, &value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -195,5 +195,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint32_t value;
-	errno_t ret = pci_iface->config_space_read_32(fun, address, &value);
+	int ret = pci_iface->config_space_read_32(fun, address, &value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -213,5 +213,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint8_t value = DEV_IPC_GET_ARG2(*call);
-	errno_t ret = pci_iface->config_space_write_8(fun, address, value);
+	int ret = pci_iface->config_space_write_8(fun, address, value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -231,5 +231,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint16_t value = DEV_IPC_GET_ARG2(*call);
-	errno_t ret = pci_iface->config_space_write_16(fun, address, value);
+	int ret = pci_iface->config_space_write_16(fun, address, value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -249,5 +249,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint32_t value = DEV_IPC_GET_ARG2(*call);
-	errno_t ret = pci_iface->config_space_write_32(fun, address, value);
+	int ret = pci_iface->config_space_write_32(fun, address, value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
Index: uspace/lib/drv/generic/remote_usb.c
===================================================================
--- uspace/lib/drv/generic/remote_usb.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_usb.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -79,10 +79,10 @@
  * @return Error code.
  */
-errno_t usb_get_my_interface(async_exch_t *exch, int *usb_iface)
+int usb_get_my_interface(async_exch_t *exch, int *usb_iface)
 {
 	if (!exch)
 		return EBADMEM;
 	sysarg_t iface_no;
-	const errno_t ret = async_req_1_1(exch, DEV_IFACE_ID(USB_DEV_IFACE),
+	const int ret = async_req_1_1(exch, DEV_IFACE_ID(USB_DEV_IFACE),
 	    IPC_M_USB_GET_MY_INTERFACE, &iface_no);
 	if (ret == EOK && usb_iface)
@@ -99,8 +99,8 @@
  *
  */
-errno_t usb_get_my_device_handle(async_exch_t *exch, devman_handle_t *handle)
+int usb_get_my_device_handle(async_exch_t *exch, devman_handle_t *handle)
 {
 	devman_handle_t h = 0;
-	const errno_t ret = async_req_1_1(exch, DEV_IFACE_ID(USB_DEV_IFACE),
+	const int ret = async_req_1_1(exch, DEV_IFACE_ID(USB_DEV_IFACE),
 	    IPC_M_USB_GET_MY_DEVICE_HANDLE, &h);
 	if (ret == EOK && handle)
@@ -114,5 +114,5 @@
  * @return Error code.
  */
-errno_t usb_reserve_default_address(async_exch_t *exch, usb_speed_t speed)
+int usb_reserve_default_address(async_exch_t *exch, usb_speed_t speed)
 {
 	if (!exch)
@@ -129,5 +129,5 @@
  *
  */
-errno_t usb_release_default_address(async_exch_t *exch)
+int usb_release_default_address(async_exch_t *exch)
 {
 	if (!exch)
@@ -145,9 +145,9 @@
  *
  */
-errno_t usb_device_enumerate(async_exch_t *exch, unsigned port)
-{
-	if (!exch)
-		return EBADMEM;
-	const errno_t ret = async_req_2_0(exch, DEV_IFACE_ID(USB_DEV_IFACE),
+int usb_device_enumerate(async_exch_t *exch, unsigned port)
+{
+	if (!exch)
+		return EBADMEM;
+	const int ret = async_req_2_0(exch, DEV_IFACE_ID(USB_DEV_IFACE),
 	    IPC_M_USB_DEVICE_ENUMERATE, port);
 	return ret;
@@ -162,5 +162,5 @@
  *
  */
-errno_t usb_device_remove(async_exch_t *exch, unsigned port)
+int usb_device_remove(async_exch_t *exch, unsigned port)
 {
 	if (!exch)
@@ -177,5 +177,5 @@
 } pack8_t;
 
-errno_t usb_register_endpoint(async_exch_t *exch, usb_endpoint_t endpoint,
+int usb_register_endpoint(async_exch_t *exch, usb_endpoint_t endpoint,
     usb_transfer_type_t type, usb_direction_t direction,
     size_t mps, unsigned packets, unsigned interval)
@@ -194,5 +194,5 @@
 }
 
-errno_t usb_unregister_endpoint(async_exch_t *exch, usb_endpoint_t endpoint,
+int usb_unregister_endpoint(async_exch_t *exch, usb_endpoint_t endpoint,
     usb_direction_t direction)
 {
@@ -203,5 +203,5 @@
 }
 
-errno_t usb_read(async_exch_t *exch, usb_endpoint_t endpoint, uint64_t setup,
+int usb_read(async_exch_t *exch, usb_endpoint_t endpoint, uint64_t setup,
     void *data, size_t size, size_t *rec_size)
 {
@@ -233,6 +233,6 @@
 
 	/* Wait for the answer. */
-	errno_t data_request_rc;
-	errno_t opening_request_rc;
+	sysarg_t data_request_rc;
+	sysarg_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
@@ -241,11 +241,11 @@
 		/* Prefer the return code of the opening request. */
 		if (opening_request_rc != EOK) {
-			return (errno_t) opening_request_rc;
+			return (int) opening_request_rc;
 		} else {
-			return (errno_t) data_request_rc;
+			return (int) data_request_rc;
 		}
 	}
 	if (opening_request_rc != EOK) {
-		return (errno_t) opening_request_rc;
+		return (int) opening_request_rc;
 	}
 
@@ -254,5 +254,5 @@
 }
 
-errno_t usb_write(async_exch_t *exch, usb_endpoint_t endpoint, uint64_t setup,
+int usb_write(async_exch_t *exch, usb_endpoint_t endpoint, uint64_t setup,
     const void *data, size_t size)
 {
@@ -273,5 +273,5 @@
 	/* Send the data if any. */
 	if (size > 0) {
-		const errno_t ret = async_data_write_start(exch, data, size);
+		const int ret = async_data_write_start(exch, data, size);
 		if (ret != EOK) {
 			async_forget(opening_request);
@@ -281,8 +281,8 @@
 
 	/* Wait for the answer. */
-	errno_t opening_request_rc;
+	sysarg_t opening_request_rc;
 	async_wait_for(opening_request, &opening_request_rc);
 
-	return (errno_t) opening_request_rc;
+	return (int) opening_request_rc;
 }
 
@@ -330,5 +330,5 @@
 
 	int iface_no;
-	const errno_t ret = usb_iface->get_my_interface(fun, &iface_no);
+	const int ret = usb_iface->get_my_interface(fun, &iface_no);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -349,5 +349,5 @@
 
 	devman_handle_t handle;
-	const errno_t ret = usb_iface->get_my_device_handle(fun, &handle);
+	const int ret = usb_iface->get_my_device_handle(fun, &handle);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -368,5 +368,5 @@
 
 	usb_speed_t speed = DEV_IPC_GET_ARG1(*call);
-	const errno_t ret = usb_iface->reserve_default_address(fun, speed);
+	const int ret = usb_iface->reserve_default_address(fun, speed);
 	async_answer_0(callid, ret);
 }
@@ -382,5 +382,5 @@
 	}
 
-	const errno_t ret = usb_iface->release_default_address(fun);
+	const int ret = usb_iface->release_default_address(fun);
 	async_answer_0(callid, ret);
 }
@@ -397,5 +397,5 @@
 
 	const unsigned port = DEV_IPC_GET_ARG1(*call);
-	const errno_t ret = usb_iface->device_enumerate(fun, port);
+	const int ret = usb_iface->device_enumerate(fun, port);
 	async_answer_0(callid, ret);
 }
@@ -412,5 +412,5 @@
 
 	const unsigned port = DEV_IPC_GET_ARG1(*call);
-	const errno_t ret = usb_iface->device_remove(fun, port);
+	const int ret = usb_iface->device_remove(fun, port);
 	async_answer_0(callid, ret);
 }
@@ -435,5 +435,5 @@
 	unsigned interval = pack.arr[3];
 
-	const errno_t ret = usb_iface->register_endpoint(fun, endpoint,
+	const int ret = usb_iface->register_endpoint(fun, endpoint,
 	    transfer_type, direction, max_packet_size, packets, interval);
 
@@ -454,5 +454,5 @@
 	usb_direction_t direction = (usb_direction_t) DEV_IPC_GET_ARG2(*call);
 
-	errno_t rc = usb_iface->unregister_endpoint(fun, endpoint, direction);
+	int rc = usb_iface->unregister_endpoint(fun, endpoint, direction);
 
 	async_answer_0(callid, rc);
@@ -491,5 +491,5 @@
 }
 
-static void callback_out(errno_t outcome, void *arg)
+static void callback_out(int outcome, void *arg)
 {
 	async_transaction_t *trans = arg;
@@ -500,5 +500,5 @@
 }
 
-static void callback_in(errno_t outcome, size_t actual_size, void *arg)
+static void callback_in(int outcome, size_t actual_size, void *arg)
 {
 	async_transaction_t *trans = (async_transaction_t *)arg;
@@ -563,5 +563,5 @@
 	}
 
-	const errno_t rc = usb_iface->read(
+	const int rc = usb_iface->read(
 	    fun, ep, setup, trans->buffer, size, callback_in, trans);
 
@@ -601,5 +601,5 @@
 	size_t size = 0;
 	if (data_buffer_len > 0) {
-		const errno_t rc = async_data_write_accept(&trans->buffer, false,
+		const int rc = async_data_write_accept(&trans->buffer, false,
 		    1, data_buffer_len, 0, &size);
 
@@ -611,5 +611,5 @@
 	}
 
-	const errno_t rc = usb_iface->write(
+	const int rc = usb_iface->write(
 	    fun, ep, setup, trans->buffer, size, callback_out, trans);
 
Index: uspace/lib/drv/generic/remote_usbhc.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhc.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_usbhc.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -96,5 +96,5 @@
 } usbhc_iface_funcs_t;
 
-errno_t usbhc_read(async_exch_t *exch, usb_address_t address,
+int usbhc_read(async_exch_t *exch, usb_address_t address,
     usb_endpoint_t endpoint, uint64_t setup, void *data, size_t size,
     size_t *rec_size)
@@ -131,6 +131,6 @@
 
 	/* Wait for the answer. */
-	errno_t data_request_rc;
-	errno_t opening_request_rc;
+	sysarg_t data_request_rc;
+	sysarg_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
@@ -139,11 +139,11 @@
 		/* Prefer the return code of the opening request. */
 		if (opening_request_rc != EOK) {
-			return (errno_t) opening_request_rc;
+			return (int) opening_request_rc;
 		} else {
-			return (errno_t) data_request_rc;
+			return (int) data_request_rc;
 		}
 	}
 	if (opening_request_rc != EOK) {
-		return (errno_t) opening_request_rc;
+		return (int) opening_request_rc;
 	}
 
@@ -152,5 +152,5 @@
 }
 
-errno_t usbhc_write(async_exch_t *exch, usb_address_t address,
+int usbhc_write(async_exch_t *exch, usb_address_t address,
     usb_endpoint_t endpoint, uint64_t setup, const void *data, size_t size)
 {
@@ -174,5 +174,5 @@
 	/* Send the data if any. */
 	if (size > 0) {
-		const errno_t ret = async_data_write_start(exch, data, size);
+		const int ret = async_data_write_start(exch, data, size);
 		if (ret != EOK) {
 			async_forget(opening_request);
@@ -182,8 +182,8 @@
 
 	/* Wait for the answer. */
-	errno_t opening_request_rc;
+	sysarg_t opening_request_rc;
 	async_wait_for(opening_request, &opening_request_rc);
 
-	return (errno_t) opening_request_rc;
+	return (int) opening_request_rc;
 }
 
@@ -235,5 +235,5 @@
 }
 
-static void callback_out(errno_t outcome, void *arg)
+static void callback_out(int outcome, void *arg)
 {
 	async_transaction_t *trans = arg;
@@ -244,5 +244,5 @@
 }
 
-static void callback_in(errno_t outcome, size_t actual_size, void *arg)
+static void callback_in(int outcome, size_t actual_size, void *arg)
 {
 	async_transaction_t *trans = (async_transaction_t *)arg;
@@ -306,5 +306,5 @@
 	}
 
-	const errno_t rc = hc_iface->read(
+	const int rc = hc_iface->read(
 	    fun, target, setup, trans->buffer, size, callback_in, trans);
 
@@ -344,5 +344,5 @@
 	size_t size = 0;
 	if (data_buffer_len > 0) {
-		const errno_t rc = async_data_write_accept(&trans->buffer, false,
+		const int rc = async_data_write_accept(&trans->buffer, false,
 		    1, USB_MAX_PAYLOAD_SIZE,
 		    0, &size);
@@ -355,5 +355,5 @@
 	}
 
-	const errno_t rc = hc_iface->write(
+	const int rc = hc_iface->write(
 	    fun, target, setup, trans->buffer, size, callback_out, trans);
 
Index: uspace/lib/drv/generic/remote_usbhid.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhid.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/generic/remote_usbhid.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -94,8 +94,8 @@
  * @param dev_sess Session to DDF device providing USB HID interface.
  *
- * @return Number of usages returned or an error code.
- *
- */
-errno_t usbhid_dev_get_event_length(async_sess_t *dev_sess, size_t *size)
+ * @return Number of usages returned or negative error code.
+ *
+ */
+int usbhid_dev_get_event_length(async_sess_t *dev_sess, size_t *size)
 {
 	if (!dev_sess)
@@ -105,5 +105,5 @@
 	
 	sysarg_t len;
-	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(USBHID_DEV_IFACE),
+	int rc = async_req_1_1(exch, DEV_IFACE_ID(USBHID_DEV_IFACE),
 	    IPC_M_USBHID_GET_EVENT_LENGTH, &len);
 	
@@ -132,5 +132,5 @@
  *
  */
-errno_t usbhid_dev_get_event(async_sess_t *dev_sess, uint8_t *buf,
+int usbhid_dev_get_event(async_sess_t *dev_sess, uint8_t *buf,
     size_t size, size_t *actual_size, int *event_nr, unsigned int flags)
 {
@@ -174,6 +174,6 @@
 	}
 	
-	errno_t data_request_rc;
-	errno_t opening_request_rc;
+	sysarg_t data_request_rc;
+	sysarg_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
@@ -182,11 +182,11 @@
 		/* Prefer return code of the opening request. */
 		if (opening_request_rc != EOK)
-			return (errno_t) opening_request_rc;
+			return (int) opening_request_rc;
 		else
-			return (errno_t) data_request_rc;
+			return (int) data_request_rc;
 	}
 	
 	if (opening_request_rc != EOK)
-		return (errno_t) opening_request_rc;
+		return (int) opening_request_rc;
 	
 	size_t act_size = IPC_GET_ARG2(data_request_call);
@@ -204,5 +204,5 @@
 }
 
-errno_t usbhid_dev_get_report_descriptor_length(async_sess_t *dev_sess,
+int usbhid_dev_get_report_descriptor_length(async_sess_t *dev_sess,
     size_t *size)
 {
@@ -213,5 +213,5 @@
 	
 	sysarg_t arg_size;
-	errno_t rc = async_req_1_1(exch, DEV_IFACE_ID(USBHID_DEV_IFACE),
+	int rc = async_req_1_1(exch, DEV_IFACE_ID(USBHID_DEV_IFACE),
 	    IPC_M_USBHID_GET_REPORT_DESCRIPTOR_LENGTH, &arg_size);
 	
@@ -226,5 +226,5 @@
 }
 
-errno_t usbhid_dev_get_report_descriptor(async_sess_t *dev_sess, uint8_t *buf,
+int usbhid_dev_get_report_descriptor(async_sess_t *dev_sess, uint8_t *buf,
     size_t size, size_t *actual_size)
 {
@@ -259,6 +259,6 @@
 	}
 	
-	errno_t data_request_rc;
-	errno_t opening_request_rc;
+	sysarg_t data_request_rc;
+	sysarg_t opening_request_rc;
 	async_wait_for(data_request, &data_request_rc);
 	async_wait_for(opening_request, &opening_request_rc);
@@ -267,11 +267,11 @@
 		/* Prefer return code of the opening request. */
 		if (opening_request_rc != EOK)
-			return (errno_t) opening_request_rc;
+			return (int) opening_request_rc;
 		else
-			return (errno_t) data_request_rc;
+			return (int) data_request_rc;
 	}
 	
 	if (opening_request_rc != EOK)
-		return (errno_t) opening_request_rc;
+		return (int) opening_request_rc;
 	
 	size_t act_size = IPC_GET_ARG2(data_request_call);
@@ -362,5 +362,5 @@
 	}
 
-	errno_t rc;
+	int rc;
 
 	uint8_t *data = malloc(len);
@@ -438,5 +438,5 @@
 
 	size_t act_len = 0;
-	errno_t rc = hid_iface->get_report_descriptor(fun, descriptor, len,
+	int rc = hid_iface->get_report_descriptor(fun, descriptor, len,
 	    &act_len);
 	if (act_len > len) {
Index: uspace/lib/drv/include/ahci_iface.h
===================================================================
--- uspace/lib/drv/include/ahci_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ahci_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,19 +41,19 @@
 #include <async.h>
 
-extern async_sess_t *ahci_get_sess(devman_handle_t, char **);
+extern async_sess_t* ahci_get_sess(devman_handle_t, char **);
 
-extern errno_t ahci_get_sata_device_name(async_sess_t *, size_t, char *);
-extern errno_t ahci_get_num_blocks(async_sess_t *, uint64_t *);
-extern errno_t ahci_get_block_size(async_sess_t *, size_t *);
-extern errno_t ahci_read_blocks(async_sess_t *, uint64_t, size_t, void *);
-extern errno_t ahci_write_blocks(async_sess_t *, uint64_t, size_t, void *);
+extern int ahci_get_sata_device_name(async_sess_t *, size_t, char *);
+extern int ahci_get_num_blocks(async_sess_t *, uint64_t *);
+extern int ahci_get_block_size(async_sess_t *, size_t *);
+extern int ahci_read_blocks(async_sess_t *, uint64_t, size_t, void *);
+extern int ahci_write_blocks(async_sess_t *, uint64_t, size_t, void *);
 
 /** AHCI device communication interface. */
 typedef struct {
-	errno_t (*get_sata_device_name)(ddf_fun_t *, size_t, char *);
-	errno_t (*get_num_blocks)(ddf_fun_t *, uint64_t *);
-	errno_t (*get_block_size)(ddf_fun_t *, size_t *);
-	errno_t (*read_blocks)(ddf_fun_t *, uint64_t, size_t, void *);
-	errno_t (*write_blocks)(ddf_fun_t *, uint64_t, size_t, void *);
+	int (*get_sata_device_name)(ddf_fun_t *, size_t, char *);
+	int (*get_num_blocks)(ddf_fun_t *, uint64_t *);
+	int (*get_block_size)(ddf_fun_t *, size_t *);
+	int (*read_blocks)(ddf_fun_t *, uint64_t, size_t, void *);
+	int (*write_blocks)(ddf_fun_t *, uint64_t, size_t, void *);
 } ahci_iface_t;
 
Index: uspace/lib/drv/include/audio_mixer_iface.h
===================================================================
--- uspace/lib/drv/include/audio_mixer_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/audio_mixer_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,17 +43,17 @@
 #include "ddf/driver.h"
 
-errno_t audio_mixer_get_info(async_exch_t *, char **, unsigned *);
-errno_t audio_mixer_get_item_info(async_exch_t *, unsigned,
-    char **, unsigned *);
-errno_t audio_mixer_get_item_level(async_exch_t *, unsigned, unsigned *);
-errno_t audio_mixer_set_item_level(async_exch_t *, unsigned, unsigned);
+int audio_mixer_get_info(async_exch_t *, const char **, unsigned *);
+int audio_mixer_get_item_info(async_exch_t *, unsigned,
+    const char **, unsigned *);
+int audio_mixer_get_item_level(async_exch_t *, unsigned, unsigned *);
+int audio_mixer_set_item_level(async_exch_t *, unsigned, unsigned);
 
 
 /** Audio mixer communication interface. */
 typedef struct {
-	errno_t (*get_info)(ddf_fun_t *, const char **, unsigned *);
-	errno_t (*get_item_info)(ddf_fun_t *, unsigned, const char **, unsigned *);
-	errno_t (*get_item_level)(ddf_fun_t *, unsigned, unsigned *);
-	errno_t (*set_item_level)(ddf_fun_t *, unsigned, unsigned);
+	int (*get_info)(ddf_fun_t *, const char **, unsigned *);
+	int (*get_item_info)(ddf_fun_t *, unsigned, const char **, unsigned *);
+	int (*get_item_level)(ddf_fun_t *, unsigned, unsigned *);
+	int (*set_item_level)(ddf_fun_t *, unsigned, unsigned);
 } audio_mixer_iface_t;
 
Index: uspace/lib/drv/include/audio_pcm_iface.h
===================================================================
--- uspace/lib/drv/include/audio_pcm_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/audio_pcm_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -80,51 +80,51 @@
 void audio_pcm_close(audio_pcm_sess_t *);
 
-errno_t audio_pcm_get_info_str(audio_pcm_sess_t *, char **);
-errno_t audio_pcm_test_format(audio_pcm_sess_t *, unsigned *, unsigned *,
+int audio_pcm_get_info_str(audio_pcm_sess_t *, const char **);
+int audio_pcm_test_format(audio_pcm_sess_t *, unsigned *, unsigned *,
     pcm_sample_format_t *);
-errno_t audio_pcm_query_cap(audio_pcm_sess_t *, audio_cap_t, sysarg_t *);
-errno_t audio_pcm_register_event_callback(audio_pcm_sess_t *,
+int audio_pcm_query_cap(audio_pcm_sess_t *, audio_cap_t);
+int audio_pcm_register_event_callback(audio_pcm_sess_t *,
     async_port_handler_t, void *);
-errno_t audio_pcm_unregister_event_callback(audio_pcm_sess_t *);
+int audio_pcm_unregister_event_callback(audio_pcm_sess_t *);
 
-errno_t audio_pcm_get_buffer(audio_pcm_sess_t *, void **, size_t *);
-errno_t audio_pcm_get_buffer_pos(audio_pcm_sess_t *, size_t *);
-errno_t audio_pcm_release_buffer(audio_pcm_sess_t *);
+int audio_pcm_get_buffer(audio_pcm_sess_t *, void **, size_t *);
+int audio_pcm_get_buffer_pos(audio_pcm_sess_t *, size_t *);
+int audio_pcm_release_buffer(audio_pcm_sess_t *);
 
-errno_t audio_pcm_start_playback_fragment(audio_pcm_sess_t *, unsigned,
+int audio_pcm_start_playback_fragment(audio_pcm_sess_t *, unsigned,
     unsigned, unsigned, pcm_sample_format_t);
-errno_t audio_pcm_last_playback_fragment(audio_pcm_sess_t *);
+int audio_pcm_last_playback_fragment(audio_pcm_sess_t *);
 
-errno_t audio_pcm_start_playback(audio_pcm_sess_t *,
+int audio_pcm_start_playback(audio_pcm_sess_t *,
     unsigned, unsigned, pcm_sample_format_t);
-errno_t audio_pcm_stop_playback_immediate(audio_pcm_sess_t *);
-errno_t audio_pcm_stop_playback(audio_pcm_sess_t *);
+int audio_pcm_stop_playback_immediate(audio_pcm_sess_t *);
+int audio_pcm_stop_playback(audio_pcm_sess_t *);
 
-errno_t audio_pcm_start_capture_fragment(audio_pcm_sess_t *, unsigned,
+int audio_pcm_start_capture_fragment(audio_pcm_sess_t *, unsigned,
     unsigned, unsigned, pcm_sample_format_t);
-errno_t audio_pcm_last_capture_fragment(audio_pcm_sess_t *);
+int audio_pcm_last_capture_fragment(audio_pcm_sess_t *);
 
-errno_t audio_pcm_start_capture(audio_pcm_sess_t *,
+int audio_pcm_start_capture(audio_pcm_sess_t *,
     unsigned, unsigned, pcm_sample_format_t);
-errno_t audio_pcm_stop_capture_immediate(audio_pcm_sess_t *);
-errno_t audio_pcm_stop_capture(audio_pcm_sess_t *);
+int audio_pcm_stop_capture_immediate(audio_pcm_sess_t *);
+int audio_pcm_stop_capture(audio_pcm_sess_t *);
 
 /** Audio pcm communication interface. */
 typedef struct {
-	errno_t (*get_info_str)(ddf_fun_t *, const char **);
-	errno_t (*test_format)(ddf_fun_t *, unsigned *, unsigned *,
+	int (*get_info_str)(ddf_fun_t *, const char **);
+	int (*test_format)(ddf_fun_t *, unsigned *, unsigned *,
 	    pcm_sample_format_t *);
 	unsigned (*query_cap)(ddf_fun_t *, audio_cap_t);
-	errno_t (*get_buffer_pos)(ddf_fun_t *, size_t *);
-	errno_t (*get_buffer)(ddf_fun_t *, void **, size_t *);
-	errno_t (*release_buffer)(ddf_fun_t *);
-	errno_t (*set_event_session)(ddf_fun_t *, async_sess_t *);
-	async_sess_t *(*get_event_session)(ddf_fun_t *);
-	errno_t (*start_playback)(ddf_fun_t *, unsigned,
+	int (*get_buffer_pos)(ddf_fun_t *, size_t *);
+	int (*get_buffer)(ddf_fun_t *, void **, size_t *);
+	int (*release_buffer)(ddf_fun_t *);
+	int (*set_event_session)(ddf_fun_t *, async_sess_t *);
+	async_sess_t * (*get_event_session)(ddf_fun_t *);
+	int (*start_playback)(ddf_fun_t *, unsigned,
 	    unsigned, unsigned, pcm_sample_format_t);
-	errno_t (*stop_playback)(ddf_fun_t *, bool);
-	errno_t (*start_capture)(ddf_fun_t *, unsigned,
+	int (*stop_playback)(ddf_fun_t *, bool);
+	int (*start_capture)(ddf_fun_t *, unsigned,
 	    unsigned, unsigned, pcm_sample_format_t);
-	errno_t (*stop_capture)(ddf_fun_t *, bool);
+	int (*stop_capture)(ddf_fun_t *, bool);
 } audio_pcm_iface_t;
 
Index: uspace/lib/drv/include/battery_iface.h
===================================================================
--- uspace/lib/drv/include/battery_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/battery_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -49,6 +49,6 @@
 } battery_dev_method_t;
 
-extern errno_t battery_status_get(async_sess_t *, battery_status_t *);
-extern errno_t battery_charge_level_get(async_sess_t *, int *);
+extern int battery_status_get(async_sess_t *, battery_status_t *);
+extern int battery_charge_level_get(async_sess_t *, int *);
 
 #endif
Index: uspace/lib/drv/include/ddf/driver.h
===================================================================
--- uspace/lib/drv/include/ddf/driver.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ddf/driver.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,5 +56,5 @@
 	 * device.
 	 */
-	errno_t (*open)(ddf_fun_t *);
+	int (*open)(ddf_fun_t *);
 	
 	/**
@@ -88,17 +88,17 @@
 typedef struct driver_ops {
 	/** Callback method for passing a new device to the device driver */
-	errno_t (*dev_add)(ddf_dev_t *);
+	int (*dev_add)(ddf_dev_t *);
 	
 	/** Ask driver to remove a device */
-	errno_t (*dev_remove)(ddf_dev_t *);
+	int (*dev_remove)(ddf_dev_t *);
 	
 	/** Inform driver a device disappeared */
-	errno_t (*dev_gone)(ddf_dev_t *);
+	int (*dev_gone)(ddf_dev_t *);
 	
 	/** Ask driver to online a specific function */
-	errno_t (*fun_online)(ddf_fun_t *);
+	int (*fun_online)(ddf_fun_t *);
 	
 	/** Ask driver to offline a specific function */
-	errno_t (*fun_offline)(ddf_fun_t *);
+	int (*fun_offline)(ddf_fun_t *);
 } driver_ops_t;
 
@@ -124,14 +124,14 @@
 extern void *ddf_fun_data_get(ddf_fun_t *);
 extern const char *ddf_fun_get_name(ddf_fun_t *);
-extern errno_t ddf_fun_set_name(ddf_fun_t *, const char *);
+extern int ddf_fun_set_name(ddf_fun_t *, const char *);
 extern ddf_dev_t *ddf_fun_get_dev(ddf_fun_t *);
-extern errno_t ddf_fun_bind(ddf_fun_t *);
-extern errno_t ddf_fun_unbind(ddf_fun_t *);
-extern errno_t ddf_fun_online(ddf_fun_t *);
-extern errno_t ddf_fun_offline(ddf_fun_t *);
-extern errno_t ddf_fun_add_match_id(ddf_fun_t *, const char *, int);
+extern int ddf_fun_bind(ddf_fun_t *);
+extern int ddf_fun_unbind(ddf_fun_t *);
+extern int ddf_fun_online(ddf_fun_t *);
+extern int ddf_fun_offline(ddf_fun_t *);
+extern int ddf_fun_add_match_id(ddf_fun_t *, const char *, int);
 extern void ddf_fun_set_ops(ddf_fun_t *, const ddf_dev_ops_t *);
 extern void ddf_fun_set_conn_handler(ddf_fun_t *, async_port_handler_t);
-extern errno_t ddf_fun_add_to_category(ddf_fun_t *, const char *);
+extern int ddf_fun_add_to_category(ddf_fun_t *, const char *);
 
 #endif
Index: uspace/lib/drv/include/ddf/interrupt.h
===================================================================
--- uspace/lib/drv/include/ddf/interrupt.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ddf/interrupt.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,7 +50,7 @@
 typedef void interrupt_handler_t(ipc_call_t *, ddf_dev_t *);
 
-extern errno_t register_interrupt_handler(ddf_dev_t *, int, interrupt_handler_t *,
-    const irq_code_t *, cap_handle_t *);
-extern errno_t unregister_interrupt_handler(ddf_dev_t *, cap_handle_t);
+extern int register_interrupt_handler(ddf_dev_t *, int, interrupt_handler_t *,
+    const irq_code_t *);
+extern int unregister_interrupt_handler(ddf_dev_t *, int);
 
 #endif
Index: uspace/lib/drv/include/ddf/log.h
===================================================================
--- uspace/lib/drv/include/ddf/log.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ddf/log.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,7 +37,7 @@
 #include <io/verify.h>
 
-extern errno_t ddf_log_init(const char *);
+extern int ddf_log_init(const char *);
 extern void ddf_msg(log_level_t, const char *, ...)
-    _HELENOS_PRINTF_ATTRIBUTE(2, 3);
+    PRINTF_ATTRIBUTE(2, 3);
 
 extern void ddf_dump_buffer(char *, size_t, const void *, size_t, size_t,
Index: uspace/lib/drv/include/ieee80211_iface.h
===================================================================
--- uspace/lib/drv/include/ieee80211_iface.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/drv/include/ieee80211_iface.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,8 +39,8 @@
 #include <async.h>
 
-extern errno_t ieee80211_get_scan_results(async_sess_t *,
+extern int ieee80211_get_scan_results(async_sess_t *,
     ieee80211_scan_results_t *, bool);
-extern errno_t ieee80211_connect(async_sess_t *, char *, char *);
-extern errno_t ieee80211_disconnect(async_sess_t *);
+extern int ieee80211_connect(async_sess_t *, char *, char *);
+extern int ieee80211_disconnect(async_sess_t *);
 
 #endif
